Bug 118946 - [PATCH] sysutils/cciss_vol_status: Requires kernel source to build
Summary: [PATCH] sysutils/cciss_vol_status: Requires kernel source to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-22 10:20 UTC by Beat Gaetzi
Modified: 2018-12-27 08:08 UTC (History)
1 user (show)

See Also:


Attachments
cciss_vol_status.patch (410 bytes, patch)
2007-12-22 10:20 UTC, Beat Gaetzi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beat Gaetzi 2007-12-22 10:20:01 UTC
	cciss_vol_status fails to build if the kernel sources are not available.

How-To-Repeat: 	# mv /usr/src /usr/src.tmp
	# cd /usr/ports/sysutils/cciss_vol_status 
	# make install clean
	# mv /usr/src.tmp /usr/src
Comment 1 Edwin Groothuis freebsd_committer 2007-12-22 10:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2007-12-25 19:49:19 UTC
mm          2007-12-25 19:49:15 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/cciss_vol_status Makefile 
  Log:
  - Add IGNORE if kernel sources are not installed
  
  PR:             ports/118946
  Submitted by:   Beat Gaetzi <beat at chruetertee.ch>
  
  Revision  Changes    Path
  1.2       +4 -0      ports/sysutils/cciss_vol_status/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2007-12-25 20:27:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Kamigishi Rei 2018-12-27 08:08:24 UTC
This seems broken on 12-STABLE. Adding some ugly debugging like so

.if !exists(${SRC_BASE}/sys/dev/ciss/cissio.h)
TMPDEBUG!=      ls -l /usr/src/sys/dev/ciss/cissio.h
IGNORE=         cciss_vol_status requires kernel sources of the ciss driver in ${SRC_BASE}. ls: ${TMPDEBUG}.
.endif

produces

[00:00:09] [01] [00:00:00] Building sysutils/cciss_vol_status | cciss_vol_status-1.12
[00:00:09] [01] [00:00:00] Finished sysutils/cciss_vol_status | cciss_vol_status-1.12: Ignored: cciss_vol_status requires kernel sources of the ciss driver in /usr/src. ls: -rw-r--r--  1 root  wheel  6457 Nov  6 16:54 /usr/src/sys/dev/ciss/cissio.h.

The port builds fine after changing ${SRC_BASE} to /usr/src in the .if !exists() expression; it does not seem like ${SRC_BASE} is being properly expanded here.